Docs

Reference

Import people

Import up to the row limit of usernames / phones resolved by an account into a list. Follow progress with imports in people.list.

View MarkdownThis page is generated from the source code on every release.

Import up to the row limit of usernames / phones resolved by an account into a list. Follow progress with imports in people.list.

Overview

Name Value
Code imports.start
Scope needed crm.write
Risk Write
May need confirmation No
Runs as Queues work for a node
Needs Idempotency-Key Yes
Member roles allowed owner, manager
In the app People → Import

Input fields

Field Type Required Description
fileName text Yes
listId uuid Yes
tags text[] No
accountId uuid Yes
rows object[] Yes

Example request

curl -X POST https://tlg.builera.app/api/public/v2/ops/imports.start \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: <unique key per operation>" \
  -d '{"fileName":"…","listId":"00000000-0000-0000-0000-000000000000","accountId":"00000000-0000-0000-0000-000000000000","rows":[]}'

Output fields (data)

Field Type Required
importId text Yes
counts object Yes
ok true Yes

Example answer

{
  "data": {
    "importId": "00000000-0000-4000-8000-000000000000",
    "counts": {
      "valid": 1,
      "error": 1,
      "pending": 1,
      "resolving": 1,
      "duplicate": 1,
      "not_found": 1,
      "suppressed": 1,
      "invalid": 1
    },
    "ok": true
  }
}

Using it over MCP

Not listed on any profile: call tools_describe then tools_run with code: "imports.start". Tool name when listed: imports_start.

Was this page helpful?

Last checked: 10/24/2026 · build 2.0